package proj3;

/**
 * Best first tries to reduce the number of expanded nodes by always expanding the node that
 * has the lowest estimated path to the end. This utilizes the heap-based search algorithm.
 * 
 * The heuristic used to estimate the length to the end is the Manhattan distance: delta_x + delta_y
 */
public class BestFirstSearch extends HeapGraphSearch {
	
	@Override
	protected int heuristic(RoomNode start, RoomNode end) {
		//Manhattan distance
		return Math.abs(end.getX() - start.getX()) + Math.abs(end.getY() - start.getY());
	}
	@Override
	protected int newCost(RoomInfo n) { return 0; }
	
	public String toString() { return "Best First Search"; }
	public String getShortName() { return "Best First"; }
}
