package proj3;

/**
 * As it turns out, Dijkstra's Algorithm is a version of A* where the hueristic is set to 0.
 * Since A* and Best First derive from the same heap-based search, Dijkstra's Algorithm can
 * benefit from that structure.
 * As it is, this is equivalent to BFS.
 */
public class DijkstrasAlgorithm extends HeapGraphSearch {

	@Override
	protected int heuristic(RoomNode start, RoomNode end) { return 0; }

	@Override
	protected int newCost(RoomInfo n) { return n.cost + 1; }
	
	public String toString() { return "Dijkstra's Algorithm"; }
	public String getShortName() { return "Dijkstra's"; }
}
