package proj3.extras;

import proj3.RoomNode;

/**
 * @see proj3.AStarSearch
 */
public class StepAStarSearch extends StepHeapGraphSearch {

	@Override
	protected int heuristic(RoomNode start, RoomNode end) {
		//Manhattan distance
		return Math.abs(end.getX() - start.getX()) + Math.abs(end.getY() - start.getY());
	}
	
	@Override
	protected int newCost(RoomInfo n) { return n.cost + 1; }
	
	public String toString() { return "A* Search (Step by Step)"; }
	public String getShortName() { return "A* (S)"; }
}
