package proj3.extras;

import proj3.RoomNode;

/**
 * @see proj3.BestFirstSearch
 */
public class StepBestFirstSearch extends StepHeapGraphSearch {
	
	@Override
	protected int heuristic(RoomNode start, RoomNode end) {
		//Manhattan distance
		return Math.abs(end.getX() - start.getX()) + Math.abs(end.getY() - start.getY());
	}
	@Override
	protected int newCost(RoomInfo n) { return 0; }
	
	public String toString() { return "Best First Search (Step by Step)"; }
	public String getShortName() { return "Best First (S)"; }
}
