package proj3.mazegen;

/** This is the class to implement the edge in a mazegenerator.
 * 	The edge holds information about the connection between the vertices
 */


public class Edge {

	public static final int EDGE_VERTICAL = 1;
	public static final int EDGE_HORIZONTAL = 2;
	
	private int x;
	private int y;
	private int pos;
	private boolean wall;

	/**
	 * @param x - The x coordinate of the vertex that this edge connects to
	 * @param y - The y coordinate of the vertex that this edge connects to
	 * @param pos - Whether or not this is a horizontal or a vertical edge 
	 * @param wall - Whether or not this is a wall or door.
	 */
	public Edge(int x, int y, int pos, boolean wall) {
		this.x = x;
		this.y = y;
		this.pos = pos;
		this.wall = wall;
	}

	public int getPos() { return pos; }
	public int getX() { return x; }
	public int getY() { return y; }
	public boolean isWall() { return wall; }

	public void setPos(int pos) { this.pos = pos; }
	public void setWall(boolean on) { this.wall = on; }
}
