package proj3.mazegen;

/**  
 * This class represents a vertex in the mazegenerator.  It will hold the information of
 * each room and allow for disjoint union and find.
 * 
 */

public class Vertex {
	private int rank;
	private int x;
	private int y;
	private Vertex parent; //For disjoint union/find
	
	/**
	 * @param rank - For weighted union - the height of the up tree.
	 * @param x - The x position of the vertex.
	 * @param y - The y position of the vertex.
	 */
	public Vertex(int rank, int x, int y) {
		this(rank,x,y,null);
		this.parent = this;
	}
	
	/**
	 * 
	 * @param rank - For weighted union - the height of the up tree.
	 * @param x - The x position of the vertex.
	 * @param y - The y position of the vertex.
	 * @param parent - The parent in the uptree.
	 */
	
	public Vertex(int rank, int x, int y, Vertex parent) {
		this.rank = rank;
		this.x = x;
		this.y = y;
		this.parent = parent;
	}

	public int getRank() { return rank; }
	public int getX() { return x; }
	public int getY() { return y; }
	public Vertex getParent() { return parent; }

	public void setRank(int rank) { this.rank = rank; }
	public void setParent(Vertex parent) { this.parent = parent; }
}