package view;

import java.awt.Dimension;

import javax.swing.BorderFactory;
import javax.swing.Box;
import javax.swing.BoxLayout;
import javax.swing.JLabel;
import javax.swing.JPanel;
import javax.swing.JSeparator;
import javax.swing.SwingConstants;

import proj3.GraphSearch;

/**
 * This class draws a status bar. It goes in the bottom of the window.
 */
public class StatusBar extends JPanel {
	private JLabel textField;
	private JLabel nodeField;
	private JLabel algField;
	
	public StatusBar() {
		setLayout(new BoxLayout(this, BoxLayout.X_AXIS));
		
		textField = new JLabel("");
		nodeField = new JLabel("Node");
		algField = new JLabel("Algorithm");
		
		setBorder(BorderFactory.createEmptyBorder(2,2,0,2));
		
		add(textField);
		add(Box.createHorizontalGlue());
		addSeparator();
		add(nodeField);
		addSeparator();
		add(algField);
	}
	
	private void addSeparator() {
		add(Box.createHorizontalStrut(5));
		JSeparator sep = new JSeparator(SwingConstants.VERTICAL);
		sep.setMaximumSize(new Dimension(2,Integer.MAX_VALUE));
		add(sep);
		add(Box.createHorizontalStrut(5));
	}
	
	//These methods set the text to show in the status bar
	public void setText(String text) {
		textField.setText(text);
	}
	public void setNodeCount(int count) {
		nodeField.setText(String.valueOf(count) + " expanded");
	}
	public void setAlgorithm(GraphSearch gs) {
		algField.setText(gs.getShortName());
	}
}
